CollectionType (Axis API)
Keywords: org.apache.axis.wsdl.symbolTable.CollectionType class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.axis.wsdl.symbolTable
Class CollectionType

    java.lang.Object
      org.apache.axis.wsdl.symbolTable.SymTabEntry
          org.apache.axis.wsdl.symbolTable.TypeEntry
              org.apache.axis.wsdl.symbolTable.Type
                  org.apache.axis.wsdl.symbolTable.DefinedType
                      org.apache.axis.wsdl.symbolTable.CollectionType

All Implemented Interfaces:
  CollectionTE, java.io.Serializable

public class CollectionType
extends DefinedType
implements CollectionTE

This Type is for a QName that is a 'collection'. For example, We need a way to indicate in the symbol table that a foo is 'collection of bars', In such cases a collection type is added with the special QName [, ]

See Also:
  Serialized Form

Field Summary

Fields inherited from class org.apache.axis.wsdl.symbolTable.DefinedType
`extensionBase, searchedForExtensionBase`

Fields inherited from class org.apache.axis.wsdl.symbolTable.TypeEntry
`componentType, containedAttributes, containedElements, dims, isBaseType, isSimpleType, itemQName, node, onlyLiteralReference, refType, types, undefined, underlTypeNillable`

Fields inherited from class org.apache.axis.wsdl.symbolTable.SymTabEntry
`name, qname`

Constructor Summary
`CollectionType(QName pqName, TypeEntry refType, org.w3c.dom.Node pNode, java.lang.String dims, boolean wrapped)` Constructor CollectionType

Method Summary
`boolean` | `isWrapped()`

Methods inherited from class org.apache.axis.wsdl.symbolTable.DefinedType
`getComplexTypeExtensionBase`

Methods inherited from class org.apache.axis.wsdl.symbolTable.Type
`isGenerated, setGenerated`

Methods inherited from class org.apache.axis.wsdl.symbolTable.TypeEntry
`getBaseType, getComponentType, getContainedAttributes, getContainedElements, getDimensions, getItemQName, getNestedTypes, getNode, getRefType, getUndefinedTypeRef, getUnderlTypeNillable, isBaseType, isOnlyLiteralReferenced, isSimpleType, setBaseType, setComponentType, setContainedAttributes, setContainedElements, setItemQName, setOnlyLiteralReference, setRefType, setSimpleType, setUnderlTypeNillable, toString, toString, updateUndefined`

Methods inherited from class org.apache.axis.wsdl.symbolTable.SymTabEntry
`getDynamicVar, getName, getQName, isReferenced, setDynamicVar, setIsReferenced, setName`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### CollectionType

    public CollectionType(QName pqName,
                          TypeEntry refType,
                          org.w3c.dom.Node pNode,
                          java.lang.String dims,
                          boolean wrapped)

  Constructor CollectionType

Parameters:
  `pqName` -
  `refType` -
  `pNode` -
  `dims` -

Method Detail

### isWrapped

    public boolean isWrapped()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005 Apache Web Services Project. All Rights Reserved.